Show / Hide Table of Contents

# Delegate PluginManager.PluginEnableDelegate

An invoker for the PluginEnabled event.

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public delegate void PluginEnableDelegate(PluginLoader.PluginInfo plugin, bool needsRestart);

##### Parameters

Type | Name | Description
--- | --- | ---
PluginLoader.PluginInfo | plugin | the plugin that was enabled
Boolean | needsRestart | whether it needs a restart to take effect

### Extension Methods

ReflectionUtil.SetField(Object, String, Object)
ReflectionUtil.SetField<T>(T, String, Object)
ReflectionUtil.GetField<T>(Object, String)
ReflectionUtil.SetProperty(Object, String, Object)
ReflectionUtil.SetProperty<T>(T, String, Object)
ReflectionUtil.InvokeMethod(Object, String, Object[])
ReflectionUtil.InvokeMethod<T>(T, String, Object[])
ReflectionUtil.InvokeMethod<T>(Object, String, Object[])
ReflectionUtil.InvokeMethod<T, U>(U, String, Object[])